dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Самый быстрый метод установки мировой коорд. системы не командным методом

Самый быстрый метод установки мировой коорд. системы не командным методом

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 18.01.2018, 16:12 #1
Самый быстрый метод установки мировой коорд. системы не командным методом
Red Nova
 
ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Торонто
Регистрация: 23.10.2007
Сообщений: 1,964
Отправить сообщение для Red Nova с помощью Skype™

Red Nova вне форума Вставить имя

Доброго.
Как установить мировую коорд. систему не используя командные методы?

Аналог командным методом:
Код:
[Выделить все]
 (command-s "_.ucs" "_w")
В ActiveX особо не умею .
Но нашел вот это.
Длинновато. К тому же создается новая коорд. система, не WCS, а лишняя альтернатива, которая будет потом висеть в списке коорд. систем.

Код:
[Выделить все]
 (defun kb:UCS:NameWorld (MakeActive / localUCS)
  (or g:activedoc (setq g:activedoc (vla-get-activedocument (vlax-get-acad-object))))
  (or g:ucss
      (setq g:ucss
             (vla-get-usercoordinatesystems (vla-get-activedocument (vlax-get-acad-object))
             )
      )
  )
  (setq localUCS (vla-add g:ucss
                          (vlax-3d-point '(0.0 0.0 0.0)) ;origin
                          (vlax-3d-point '(1.0 0.0 0.0)) ;x-axis
                          (vlax-3d-point '(0.0 1.0 0.0)) ;y-axis
                          "_WorldUCS"
                 )
  )
  (if MakeActive
    (vla-put-activeucs g:activedoc localUCS)
  )
  localUCS
)
__________________
Блог
Просмотров: 633
 
Непрочитано 18.01.2018, 16:27
#2
Setvar

Всего понемногу
 
Регистрация: 10.02.2007
Москва
Сообщений: 397


Лоб расшибить, что ли, хочешь?
__________________
Установи FILEDIA в 1 и не парься.
Setvar вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 18.01.2018, 19:36
#3
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,964
Отправить сообщение для Red Nova с помощью Skype™


Цитата:
Сообщение от Setvar Посмотреть сообщение
Лоб расшибить, что ли, хочешь?
Offtop: Смотря кому
__________________
Блог
Red Nova вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 21.01.2018, 15:11
1 | #4
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,606
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от Red Nova Посмотреть сообщение
Длинновато. К тому же создается новая коорд. система, не WCS, а лишняя альтернатива, которая будет потом висеть в списке коорд. систем.
Чуть покороче, но суть та же. Подсмотрено здесь Set WCS current via vla-put functions
Новая ПСК не создается
Код:
[Выделить все]
(defun wcs (/ doc)
  (vl-load-com)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)));active document
  (vla-put-activeucs doc
    (vla-add
      (vla-get-usercoordinatesystems doc)
      (vlax-3d-point '(0 0 0)) ;origin
      (vlax-3d-point '(1 0 0)) ;x-axis
      (vlax-3d-point '(0 1 0)) ;y-axis
      "World"
      )
    )
  )
(if (not(equal(getvar "WorldUcs") 1))(wcs))
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 21.01.2018 в 15:18.
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 22.01.2018, 01:00
#5
Red Nova

ՃԱՐՏԱՐԱԳԵՏ, Տ.Գ.Թ.
 
Регистрация: 23.10.2007
Торонто
Сообщений: 1,964
Отправить сообщение для Red Nova с помощью Skype™


Спасибо Мастер
__________________
Блог
Red Nova вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Самый быстрый метод установки мировой коорд. системы не командным методом

Инженерные консультации
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Устойчивость системы за счет местной потери устойчивости конечного элемента (SCAD) VAV SCAD 51 27.08.2015 22:07
Зависание системы после установки AutoCAD 2010 Westroy AutoCAD 1 11.05.2010 15:27
Трудность установки проверенного и работавшего Автокада 2008 gonch AutoCAD 2 30.04.2010 11:18
Коэфициент запаса устойчивости системы и мин. коэф запаса устойчивости элемента - большая разница AlexCAD777 Расчетные программы 14 22.01.2010 22:30
Преобразование координат вершин полилинии из мировой системы координат в текущую молодой человек Программирование 1 16.01.2010 22:57

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||